# Account Information Service tutorial
source: https://developer.mastercard.com/open-banking-connect/documentation/sandbox/sandbox-scenarios-ais-tutorial/index.md

### Get List of ASPSPs {#get-list-of-aspsps}

Before making AIS requests you must first get the list of supported ASPSPs. To retrieve a list of available ASPSPs, submit the request below.  

Refer to [Sandbox Scenarios](https://developer.mastercard.com/open-banking-connect/documentation/sandbox/sandbox-scenarios/index.md) for all available scenarios for Get List of ASPSPs.

#### Request {#request}

`POST /accounts/aspsp`

#### Request body parameters {#request-body-parameters}

```json
{
"requestInfo": {
	"xRequestId": "123e4567-e89b-12d3-a456-426655440000"
	},
"returnAdditionalData": [
	"capabilities"
	]
}
```

Note: The returnAdditionalData field is optional, and is used to return a list of capabilities for each ASPSP. The `xRequestId` parameter value should be provided unchanged from data sets in order to match the pre-defined response.

The following sections are a walk though of how Open Banking Connect performs an Account Information operation. It is here to help better understand the Open Banking Connect API overall process for getting accounts information.

#### Step 1 {#step-1}

To initiate an Account Information consent request, you should select from the data set table: for example an aspspId, ex. **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5**- Fermium Bank.

|    **Field name**    |                                                                                                                        **Value**                                                                                                                         |
|----------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `aspspId`            | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5**                                                                                                                                                                                                                 |
| `aspsp name`         | Fermium Bank                                                                                                                                                                                                                                             |
| `API Profile`        | NextGenPSD2                                                                                                                                                                                                                                              |
| `country`            | NL                                                                                                                                                                                                                                                       |
| `services`           | AIS, PIS                                                                                                                                                                                                                                                 |
| `permission`         | **allPSD2**                                                                                                                                                                                                                                              |
| `authorization`      | NLaccountR666r433g5fggfdN34ff4grfdr2oNL001                                                                                                                                                                                                               |
| `consentId`          | g63g4fh:5t543f34r6g                                                                                                                                                                                                                                      |
| `consent Request Id` | 23150                                                                                                                                                                                                                                                    |
| `resourceId`         | aa:q644444444dhhfHhTV; aa:q643333344dhhfHhTV                                                                                                                                                                                                             |
| `transactionId`      | 3DHKwjmZyXBwSD0IMVBh001; 1CxLxzOfY35NDcPIQqO3002; 28stAbHfxWRDRKf0JgbI003; 1UopXIptZTZYI9k6AHa1004; R8CXyvJBB3jdLHdTyVAs005; Zu7bY96FEN4jFNIhZSgL006; YxeVLGbdJ4kc15a4gQeL007; 6QliQ6H8OBIYm9P3q2MK008; L8gbjJavwS4gzUF1P1Vd009; 7Mp7D6ThvlMhy9WXjmro010 |

#### Step 2 {#step-2}

The `aspspId` and `permission` mandatory parameters should be passed into consent request.

##### Request {#request}

`POST /accounts/consents`

##### Request body parameters {#request-body-parameters}

```json
{
"requestInfo": {
	"aspspId": "6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5",
	"tppRedirectURI": "https://tpp-ob.com/callback",
	"xRequestId": "123e4567-e89b-12d3-a456-426655440000"
	},
"permissions": [
 	"allPSD2"
	]
}
```

Note: The `aspspId` and `permissions` parameters' values should be provided unchanged from data sets in order to match the pre-defined response.

##### Step 3 {#step-3}

The below response will be received after the request. The PSU should be redirected to the link in the scaRedirect property, and next the PSU will be asked to authorize consent with the ASPSP. Once authorized, the consent will last for the duration of the payment transaction.

##### Response - success {#response---success}

HTTP response code `200,OK`

##### Response body {#response-body}

```json
{
"originalRequestInfo": {
	"xRequestId": "123e4567-e89b-12d3-a456-426655440000"
	},
"aspspSCAApproach": "REDIRECT",
"consentRequestId": "23150",
"_links": {
	"scaRedirect": "http://aspsp-example-sca-redirect-url.com"
	}
}
```

Note: In production environment, the TPP will have to redirect the PSU to the URI received in 'scaRedirect' to complete the authentication with the ASPSP and authorization of the consent.

##### Step 4 {#step-4}

After this process completes, the TPP will obtain an authorization string starting immediately after question mark ( ? ) or hash mark ( # ) on the URI address specified in the 'tppRedirectURI' field in the request (ex. <https://tpp-ob.com/callback?code=NLaccountR666r433g5fggfdN34ff4grfdr2oNL001> ).  

The TPP uses this authorization string starting after question mark (ex. "code=NLaccountR666r433g5fggfdN34ff4grfdr2oNL001") in "Exchange PSU authorization for access consent" endpoint to get consentId and use it in all subsequent requests associated with the consent.

#### Step 1 {#step-1}

To get access consent, submit a request using the `aspspId` and `authorization` parameters for aspspId you selected above from the data set.

|    **Field name**    |                                                                                                                        **Value**                                                                                                                         |
|----------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `aspspId`            | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5**                                                                                                                                                                                                                 |
| `aspsp name`         | Fermium Bank                                                                                                                                                                                                                                             |
| `API Profile`        | NextGenPSD2                                                                                                                                                                                                                                              |
| `country`            | NL                                                                                                                                                                                                                                                       |
| `services`           | AIS, PIS                                                                                                                                                                                                                                                 |
| `permission`         | allPSD2                                                                                                                                                                                                                                                  |
| `authorization`      | **NLaccountR666r433g5fggfdN34ff4grfdr2oNL001**                                                                                                                                                                                                           |
| `consentId`          | g63g4fh:5t543f34r6g                                                                                                                                                                                                                                      |
| `consent Request Id` | 23150                                                                                                                                                                                                                                                    |
| `resourceId`         | aa:q644444444dhhfHhTV; aa:q643333344dhhfHhTV                                                                                                                                                                                                             |
| `transactionId`      | 3DHKwjmZyXBwSD0IMVBh001; 1CxLxzOfY35NDcPIQqO3002; 28stAbHfxWRDRKf0JgbI003; 1UopXIptZTZYI9k6AHa1004; R8CXyvJBB3jdLHdTyVAs005; Zu7bY96FEN4jFNIhZSgL006; YxeVLGbdJ4kc15a4gQeL007; 6QliQ6H8OBIYm9P3q2MK008; L8gbjJavwS4gzUF1P1Vd009; 7Mp7D6ThvlMhy9WXjmro010 |

An example is shown below.

##### Request {#request}

`POST /accounts/consents/authorizations`

##### Request body parameters {#request-body-parameters}

```json
{
"requestInfo": {
	"aspspId": "6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5",
	"xRequestId": "123e4567-e89b-12d3-a456-426655440000"
	},
"authorization": "code=NLaccountR666r433g5fggfdN34ff4grfdr2oNL001&state=38948933-38ae-45af-953e-25a69fefa39e"
}
```

Note: The `aspspId` and `authorization` parameter values should be provided unchanged in order to match the pre-defined response.

#### Step 2 {#step-2}

The following response will be received indicating exchange request was successful.

##### Response - success {#response---success}

HTTP response code `200,OK`

##### Response body {#response-body}

```json
{
  "originalRequestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000"
  },
  "consentId": "g63g4fh:5t543f34r6g",
  "consentRequestId": "23150"
}
```

Note: The response returns `consentId` which will be used in future requests related to this consent.

##### Step 1 {#step-1}

To get the list of accounts, submit the following request using the `aspspId` and `consentId` parameters for ASPSP id you selected above from the data set.

|    **Field name**    |                                                                                                                        **Value**                                                                                                                         |
|----------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `aspspId`            | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5**                                                                                                                                                                                                                 |
| `aspsp name`         | Fermium Bank                                                                                                                                                                                                                                             |
| `API Profile`        | NextGenPSD2                                                                                                                                                                                                                                              |
| `country`            | NL                                                                                                                                                                                                                                                       |
| `services`           | AIS, PIS                                                                                                                                                                                                                                                 |
| `permission`         | allPSD2                                                                                                                                                                                                                                                  |
| `authorization`      | NLaccountR666r433g5fggfdN34ff4grfdr2oNL001                                                                                                                                                                                                               |
| `consentId`          | **g63g4fh:5t543f34r6g**                                                                                                                                                                                                                                  |
| `consent Request Id` | 23150                                                                                                                                                                                                                                                    |
| `resourceId`         | aa:q644444444dhhfHhTV; aa:q643333344dhhfHhTV                                                                                                                                                                                                             |
| `transactionId`      | 3DHKwjmZyXBwSD0IMVBh001; 1CxLxzOfY35NDcPIQqO3002; 28stAbHfxWRDRKf0JgbI003; 1UopXIptZTZYI9k6AHa1004; R8CXyvJBB3jdLHdTyVAs005; Zu7bY96FEN4jFNIhZSgL006; YxeVLGbdJ4kc15a4gQeL007; 6QliQ6H8OBIYm9P3q2MK008; L8gbjJavwS4gzUF1P1Vd009; 7Mp7D6ThvlMhy9WXjmro010 |

An example is shown below.

##### Request {#request}

`POST /accounts/accounts`

##### Request body parameters {#request-body-parameters}

```json
{
"requestInfo": {
	"aspspId": "6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5",
	"consentId": "g63g4fh:5t543f34r6g",
	"isLivePsuRequest": false,
	"xRequestId": "123e4567-e89b-12d3-a456-426655440000"
	}
}
```

Note: The `aspspId` and `consentId` parameter values should be provided unchanged in order to match the pre-defined response.

#### Step 2 {#step-2}

The following response will be received where the list of accounts can be viewed.

##### Response - success {#response---success}

HTTP response code `200,OK`

##### Response body {#response-body}

```json
{
  "originalRequestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000"
  },
  "accounts": [
    {
      "resourceId": "aa:q644444444dhhfHhTV",
      "currency": "EUR",
      "accountHolderType": "Personal",
      "nameClient": "Account Name Client 1",
      "accountType": "CACC",
      "name": "FermiumBank Account 1",
      "holderName": "Holder Name Personal Inc",
      "accountPsuRelations": [
        {
          "typeOfRelation": "Owner"
        }
      ],
      "schemeName": "IBAN",
      "accountNumber": "NL20YNAN6609190089"
    },
    {
      "resourceId": "aa:q643333344dhhfHhTV",
      "currency": "EUR",
      "accountHolderType": "Business",
      "nameClient": "Account Name Client 2",
      "accountType": "OTHR",
      "name": "FermiumBank Account 2",
      "holderName": "Holder Name Personal Inc",
      "accountPsuRelations": [
        {
          "typeOfRelation": "Trustee"
        }
      ],
      "schemeName": "IBAN",
      "accountNumber": "NL02NJNL6718580759"
    }
  ]
}
```

Note: The response returns `resourceId`, which could be used in future requests related to account information.

##### Step 1 {#step-1}

To get the account details, submit the following request using the `aspspId`, `consentId` and `resourceId` parameters for ASPSP id you selected above from the data set.

|    **Field name**    |                                                                                                                        **Value**                                                                                                                         |
|----------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `aspspId`            | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5**                                                                                                                                                                                                                 |
| `aspsp name`         | Fermium Bank                                                                                                                                                                                                                                             |
| `API Profile`        | NextGenPSD2                                                                                                                                                                                                                                              |
| `country`            | NL                                                                                                                                                                                                                                                       |
| `services`           | AIS, PIS                                                                                                                                                                                                                                                 |
| `permission`         | allPSD2                                                                                                                                                                                                                                                  |
| `authorization`      | NLaccountR666r433g5fggfdN34ff4grfdr2oNL001                                                                                                                                                                                                               |
| `consentId`          | **g63g4fh:5t543f34r6g**                                                                                                                                                                                                                                  |
| `consent Request Id` | 23150                                                                                                                                                                                                                                                    |
| `resourceId`         | **aa:q644444444dhhfHhTV** ; **aa:q643333344dhhfHhTV**                                                                                                                                                                                                    |
| `transactionId`      | 3DHKwjmZyXBwSD0IMVBh001; 1CxLxzOfY35NDcPIQqO3002; 28stAbHfxWRDRKf0JgbI003; 1UopXIptZTZYI9k6AHa1004; R8CXyvJBB3jdLHdTyVAs005; Zu7bY96FEN4jFNIhZSgL006; YxeVLGbdJ4kc15a4gQeL007; 6QliQ6H8OBIYm9P3q2MK008; L8gbjJavwS4gzUF1P1Vd009; 7Mp7D6ThvlMhy9WXjmro010 |

An example is shown below.

##### Request {#request}

`POST /accounts/accounts`

##### Request body parameters {#request-body-parameters}

```json
{
  "requestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000",
    "consentId": "g63g4fh:5t543f34r6g",
    "aspspId": "6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5",
    "isLivePsuRequest": true
  },
  "accountId": "aa:q644444444dhhfHhTV"
}
```

Note: The `consentId`, `aspspId` and `accountId` parameter values should be provided unchanged in order to match the pre-defined response.

#### Step 2 {#step-2}

The following response will be received where the account details can be viewed.

##### Response - success {#response---success}

HTTP response code `200,OK`

##### Response body {#response-body}

```json
{
  "originalRequestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000"
  },
  "account": {
    "resourceId": "aa:q644444444dhhfHhTV",
    "currency": "EUR",
    "accountHolderType": "Personal",
    "nameClient": "Account Name Client 1",
    "accountType": "LOAN",
    "name": "FermiumBank Account 1",
    "holderName": "Holder Name Personal Inc",
    "accountPsuRelations": [
      {
        "typeOfRelation": "Beneficiary"
      }
    ],
    "schemeName":"IBAN",
    "accountNumber":"NL20YNAN6609190089"
  }
}
```

##### Step 1 {#step-1}

To get the account balances, submit the following request using the `aspspId`, `consentId` and `resourceId` parameters for ASPSP id you selected above from the data set.

|    **Field name**    |                                                                                                                        **Value**                                                                                                                         |
|----------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `aspspId`            | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5**                                                                                                                                                                                                                 |
| `aspsp name`         | Fermium Bank                                                                                                                                                                                                                                             |
| `API Profile`        | NextGenPSD2                                                                                                                                                                                                                                              |
| `country`            | NL                                                                                                                                                                                                                                                       |
| `services`           | AIS, PIS                                                                                                                                                                                                                                                 |
| `permission`         | allPSD2                                                                                                                                                                                                                                                  |
| `authorization`      | NLaccountR666r433g5fggfdN34ff4grfdr2oNL001                                                                                                                                                                                                               |
| `consentId`          | **g63g4fh:5t543f34r6g**                                                                                                                                                                                                                                  |
| `consent Request Id` | 23150                                                                                                                                                                                                                                                    |
| `resourceId`         | **aa:q644444444dhhfHhTV** ; **aa:q643333344dhhfHhTV**                                                                                                                                                                                                    |
| `transactionId`      | 3DHKwjmZyXBwSD0IMVBh001; 1CxLxzOfY35NDcPIQqO3002; 28stAbHfxWRDRKf0JgbI003; 1UopXIptZTZYI9k6AHa1004; R8CXyvJBB3jdLHdTyVAs005; Zu7bY96FEN4jFNIhZSgL006; YxeVLGbdJ4kc15a4gQeL007; 6QliQ6H8OBIYm9P3q2MK008; L8gbjJavwS4gzUF1P1Vd009; 7Mp7D6ThvlMhy9WXjmro010 |

An example is shown below.

##### Request {#request}

`POST /accounts/account/balances`

##### Request body parameters {#request-body-parameters}

```json
{
  "requestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000",
    "consentId": "g63g4fh:5t543f34r6g",
    "aspspId": "6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5",
    "isLivePsuRequest": true
  },
  "accountId": "aa:q644444444dhhfHhTV"
}
```

Note: The `consentId`, `aspspId` and `accountId` values should be provided unchanged in order to match the pre-defined response.

#### Step 2 {#step-2}

The following response will be received where the account balances can be viewed.

##### Response - success {#response---success}

HTTP response code `200,OK`

##### Response body {#response-body}

```json
{
  "originalRequestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000"
  },
  "account": {
    "resourceId": "aa:q644444444dhhfHhTV",
    "name": "FermiumBank Account 1",
    "balances": [
      {
        "balanceAmount": {
          "currency": "EUR",
          "amount": 228.88
        },
        "balanceType": "Current",
        "creditDebitIndicator": "DEBIT"
      },
      {
        "balanceAmount": {
          "currency": "EUR",
          "amount": 322.11
        },
        "balanceType": "Available",
        "creditDebitIndicator": "CREDIT"
      }
    ]
  }
}
```

##### Step 1 {#step-1}

To get the list of account transactions, submit the following request using the `aspspId`, `consentId` and `accountId` parameters for ASPSP id you selected above from the data set:

|    **Field name**    |                                                                                                                        **Value**                                                                                                                         |
|----------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `aspspId`            | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5**                                                                                                                                                                                                                 |
| `aspsp name`         | Fermium Bank                                                                                                                                                                                                                                             |
| `API Profile`        | NextGenPSD2                                                                                                                                                                                                                                              |
| `country`            | NL                                                                                                                                                                                                                                                       |
| `services`           | AIS, PIS                                                                                                                                                                                                                                                 |
| `permission`         | allPSD2                                                                                                                                                                                                                                                  |
| `authorization`      | NLaccountR666r433g5fggfdN34ff4grfdr2oNL001                                                                                                                                                                                                               |
| `consentId`          | **g63g4fh:5t543f34r6g**                                                                                                                                                                                                                                  |
| `consent Request Id` | 23150                                                                                                                                                                                                                                                    |
| `resourceId`         | **aa:q644444444dhhfHhTV** ; **aa:q643333344dhhfHhTV**                                                                                                                                                                                                    |
| `transactionId`      | 3DHKwjmZyXBwSD0IMVBh001; 1CxLxzOfY35NDcPIQqO3002; 28stAbHfxWRDRKf0JgbI003; 1UopXIptZTZYI9k6AHa1004; R8CXyvJBB3jdLHdTyVAs005; Zu7bY96FEN4jFNIhZSgL006; YxeVLGbdJ4kc15a4gQeL007; 6QliQ6H8OBIYm9P3q2MK008; L8gbjJavwS4gzUF1P1Vd009; 7Mp7D6ThvlMhy9WXjmro010 |

##### Step 1 {#step-1-1}

To get the account balances, submit the following request using the `aspspId`, `consentId` and `resourceId` parameters for ASPSP id you selected above from the data set.

|    **Field name**    |                                                                                                                        **Value**                                                                                                                         |
|----------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `aspspId`            | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5**                                                                                                                                                                                                                 |
| `aspsp name`         | Fermium Bank                                                                                                                                                                                                                                             |
| `API Profile`        | NextGenPSD2                                                                                                                                                                                                                                              |
| `country`            | NL                                                                                                                                                                                                                                                       |
| `services`           | AIS, PIS                                                                                                                                                                                                                                                 |
| `permission`         | allPSD2                                                                                                                                                                                                                                                  |
| `authorization`      | NLaccountR666r433g5fggfdN34ff4grfdr2oNL001                                                                                                                                                                                                               |
| `consentId`          | **g63g4fh:5t543f34r6g**                                                                                                                                                                                                                                  |
| `consent Request Id` | 23150                                                                                                                                                                                                                                                    |
| `resourceId`         | **aa:q644444444dhhfHhTV** ; **aa:q643333344dhhfHhTV**                                                                                                                                                                                                    |
| `transactionId`      | 3DHKwjmZyXBwSD0IMVBh001; 1CxLxzOfY35NDcPIQqO3002; 28stAbHfxWRDRKf0JgbI003; 1UopXIptZTZYI9k6AHa1004; R8CXyvJBB3jdLHdTyVAs005; Zu7bY96FEN4jFNIhZSgL006; YxeVLGbdJ4kc15a4gQeL007; 6QliQ6H8OBIYm9P3q2MK008; L8gbjJavwS4gzUF1P1Vd009; 7Mp7D6ThvlMhy9WXjmro010 |

An example is shown below.

##### Request {#request}

`POST /accounts/account/transactions`

##### Request body parameters {#request-body-parameters}

```json
{
"requestInfo": {
	"aspspId": "6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5",
	"consentId": "g63g4fh:5t543f34r6g",
	"isLivePsuRequest": false,
	"xRequestId": "123e4567-e89b-12d3-a456-426655440000"
	},
"accountId": "aa:q644444444dhhfHhTV",
"limit": 20
}
```

Note: The `aspspId`, `consentId` and `resourceId` parameter values should be provided unchanged in order to match the pre-defined response.

#### Step 2 {#step-2}

The following response will be received where the list of account transactions can be viewed.

##### Response - success {#response---success}

HTTP response code `200,OK`

##### Response body {#response-body}

```json
{
  "originalRequestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000"
  },
  "transactions": [
    {
      "transactionId": "3DHKwjmZyXBwSD0IMVBh001",
      "bookingDateTime": "2019-10-05T09:10:12.892Z",
      "transactionAmount": {
        "currency": "EUR",
        "amount": 228.11
      },
      "remittanceInformationUnstructured": "Remittance Information Txn 1",
      "status": "ACSC",
      "creditDebitIndicator": "DEBIT"
    },
    {
      "transactionId": "1CxLxzOfY35NDcPIQqO3002",
      "bookingDateTime": "2019-04-05T09:05:23.228Z",
      "transactionAmount": {
        "currency": "EUR",
        "amount": 35.2
      },
      "remittanceInformationUnstructured": "Remittance Information Txn 2",
      "status": "ACSC",
      "creditDebitIndicator": "DEBIT"
    },
    {
      "transactionId": "28stAbHfxWRDRKf0JgbI003",
      "bookingDateTime": "2019-08-05T09:09:11.992Z",
      "transactionAmount": {
        "currency": "EUR",
        "amount": 200.6
      },
      "remittanceInformationUnstructured": "Remittance Information Txn 3",
      "status": "PDNG",
      "creditDebitIndicator": "DEBIT"
    },
    {
      "transactionId": "1UopXIptZTZYI9k6AHa1004",
      "bookingDateTime": "2019-10-07T10:10:11.992Z",
      "transactionAmount": {
        "currency": "EUR",
        "amount": 1540.11
      },
      "remittanceInformationUnstructured": "Remittance Information Txn 4",
      "status": "ACSC",
      "creditDebitIndicator": "DEBIT"
    },
    {
      "transactionId": "R8CXyvJBB3jdLHdTyVAs005",
      "bookingDateTime": "2019-04-03T10:11:11.992Z",
      "transactionAmount": {
        "currency": "EUR",
        "amount": 2048.96
      },
      "remittanceInformationUnstructured": "Remittance Information Txn 5",
      "status": "ACSC",
      "creditDebitIndicator": "DEBIT"
    },
    {
      "transactionId": "Zu7bY96FEN4jFNIhZSgL006",
      "bookingDateTime": "2019-01-02T09:10:11.992Z",
      "transactionAmount": {
        "currency": "EUR",
        "amount": 322.25
      },
      "remittanceInformationUnstructured": "Remittance Information Txn 6",
      "status": "PDNG",
      "creditDebitIndicator": "DEBIT"
    },
    {
      "transactionId": "YxeVLGbdJ4kc15a4gQeL007",
      "bookingDateTime": "2019-10-06T09:09:11.992Z",
      "transactionAmount": {
        "currency": "EUR",
        "amount": 11.1
      },
      "remittanceInformationUnstructured": "Remittance Information Txn 7",
      "status": "ACSC",
      "creditDebitIndicator": "DEBIT"
    },
    {
      "transactionId": "6QliQ6H8OBIYm9P3q2MK008",
      "bookingDateTime": "2019-10-10T09:09:11.992Z",
      "transactionAmount": {
        "currency": "EUR",
        "amount": 146.45
      },
      "remittanceInformationUnstructured": "Remittance Information Txn 8",
      "status": "ACSC",
      "creditDebitIndicator": "DEBIT"
    },
    {
      "transactionId": "L8gbjJavwS4gzUF1P1Vd009",
      "bookingDateTime": "2019-10-07T10:09:11.992Z",
      "transactionAmount": {
        "currency": "EUR",
        "amount": 543.25
      },
      "remittanceInformationUnstructured": "Remittance Information Txn 9",
      "status": "PDNG",
      "creditDebitIndicator": "DEBIT"
    },
    {
      "transactionId": "7Mp7D6ThvlMhy9WXjmro010",
      "bookingDateTime": "2019-08-10T09:09:11.992Z",
      "transactionAmount": {
        "currency": "EUR",
        "amount": 3228.74
      },
      "remittanceInformationUnstructured": "Remittance Information Txn 10",
      "status": "ACSC",
      "creditDebitIndicator": "DEBIT"
    }
  ],
  "offset": "0d69269a-51f9-4215-a41a-e8f34bdaf5fb"
}
```

Note: The response returns `transactionId` which could be used in future requests related to transaction information. Note: The response returns `bankTransactionCode` for the following ASPSPs.

`domain` is object populated for the following ASPSPs

|  **ASPSP Name**  |               **ASPSP ID**               |   **API**   | **Country** |
|------------------|------------------------------------------|-------------|-------------|
| Adonis           | **cc42a197-1aa1-4506-99e9-5e2352ace7df** | CMA9        | GB          |
| CeriumBank       | **159bf510-87b4-4af8-b5b8-29b4066738da** | NextGenPSD2 | HU          |
| Livermorium Bank | **aefa280d-0706-4be3-87c8-c7d8922ad754** | STET        | LU          |
| Tennessine Bank  | **addad4bc-9e07-417c-a2a8-68c6da1613c6** | STET        | BE          |

`proprietary` is object populated for the following ASPSPs

| **ASPSP Name** |               **ASPSP ID**               |   **API**   | **Country** |
|----------------|------------------------------------------|-------------|-------------|
| Athena Bank    | **d90d3bee-1ba4-48f3-b528-ff58a9390792** | CMA9        | GB          |
| Cadmium Bank   | **053435ec-8910-11eb-8dcd-0242ac130003** | NextGenPSD2 | BE          |

Note: The response returns originalTransactionId for the following ASPSPs.

|  **ASPSP Name**  |               **ASPSP ID**               |   **API**   | **Country** |
|------------------|------------------------------------------|-------------|-------------|
| Sandbox ASPSP 1  | **420e5cff-0e2a-4156-991a-f6eeef0478cf** | CMA9        | GB          |
| Sandbox ASPSP 2  | **b806ae68-a45b-49d6-b25a-69fdb81dede6** | Polish API  | PL          |
| Sandbox ASPSP 3  | **6bc896b5-1b5a-473a-a1d8-dfd3cbb4fab5** | NextGenPSD2 | NL          |
| Sandbox ASPSP 4  | **08475b1c-5f59-48f7-8c62-dcfd8928dad2** | STET        | IT          |
| Adonis Bank      | **cc42a197-1aa1-4506-99e9-5e2352ace7df** | CMA9        | GB          |
| Fermium Bank     | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5** | NextGenPSD2 | NL          |
| Tungsten Ban     | **e374d446-c114-4666-bbce-5dcad57c42c5** | NextGenPSD2 | SE          |
| Lanthanum Bank   | **3d068415-1edc-4c67-93ed-13ddfaeb200a** | NextGenPSD2 | LU          |
| Hassium Bank     | **73d25ee0-ea7b-4508-88ca-4221f557304b** | NextGenPSD2 | FI          |
| Bohrium Bank     | **5acf936a-2a19-4db3-b2b2-1fc2c7ab7765** | NextGenPSD2 | LV          |
| Dubnium Bank     | **7b01aea9-8901-4068-804c-0cd47ac932dd** | NextGenPSD2 | LT          |
| Seaborgium Bank  | **71b1ac6e-51a1-4674-be61-0a766941728a** | NextGenPSD2 | EE          |
| Nihonium Bank    | **7dbf29c1-0b94-4bac-b3fc-1441781572d5** | NextGenPSD2 | CZ          |
| Oganesson Bank   | **9bab67cd-8efe-4ddd-a9bc-e701b48397ce** | STET        | ES          |
| Tennessine Bank  | **addad4bc-9e07-417c-a2a8-68c6da1613c6** | STET        | BE          |
| Livermorium Bank | **aefa280d-0706-4be3-87c8-c7d8922ad754** | STET        | LU          |
| Polonium Bank    | **4888fdfa-0f32-4a1f-b55e-5870454bccc1** | Polish API  | PL          |
| Flerovium Bank   | **8c66b424-665a-4a03-842a-1b068bac1dc7** | NextGenPSD2 | DK          |
| Cadmium Bank     | **053435ec-8910-11eb-8dcd-0242ac130003** | NextGenPSD2 | BE          |
| Tellurium Bank   | **1701f9c4-8921-11eb-8dcd-0242ac130003** | NextGenPSD2 | LU          |

##### Step 1 {#step-1}

To get the list of account standing orders, submit the following request using the `aspspId`, `consentId` and `accountId` parameters for ASPSP id you selected above from the data set.

|    **Field name**    |                                           **Value**                                           |
|----------------------|-----------------------------------------------------------------------------------------------|
| `aspspId`            | **cc42a197-1aa1-4506-99e9-5e2352ace7df**                                                      |
| `aspsp name`         | Adonis Bank                                                                                   |
| `API Profile`        | CMA9                                                                                          |
| `country`            | UK                                                                                            |
| `services`           | AIS, PIS                                                                                      |
| `permission`         | allPSD2                                                                                       |
| `authorization`      | UKaccountR755r433g5fggfdU34ff4grfdr2oUK001                                                    |
| `consentId`          | **u01k4fh:5t578f34r6g**                                                                       |
| `consent Request Id` | 23220                                                                                         |
| `resourceId`         | **r6b7a:a2b3:o01i8u:cmag**                                                                    |
| `StandingOrderId`    | 1stord5r5d5aw4XUK 1stord5r5d5aw4NUK2 1stord5r5d5aw4MUK3 1stord5r5d5aw4CUK4 1stord5r5d5aw4SUK5 |

An example is shown below.

##### Request {#request}

`POST /accounts/account/standing-orders`

##### Request body parameters {#request-body-parameters}

```json
{
"requestInfo": {
"xRequestId": "123e4567-e89b-12d3-a456-426655440000",
"consentId": "u01k4fh:5t578f34r6g",
"aspspId": "cc42a197-1aa1-4506-99e9-5e2352ace7df",
"merchant": {
"id": "MerchantId",
"name": "MerchantName"
}
},
"accountId": "r6b7a:a2b3:o01i8u:cmag",
"limit": 100,
"offset": "1"
}
```

Note: The `consentId`, `aspspId` and `accountId` parameter values should be provided unchanged in order to match the pre-defined response.

#### Step 2 {#step-2}

The following response will be received where the list of account standing orders can be viewed.

##### Response - success {#response---success}

HTTP response code `200,OK`

##### Response body {#response-body}

```json
{
"originalRequestInfo": {
"xRequestId": "123e4567-e89b-12d3-a456-426655440000"
},
"standingOrders": [
{
"standingOrderId": "1stord5r5d5aw4XUK1",
"firstPayment": {
"date": "2021-02-28",
"currency": "GBP",
"amount": 1.01
},
"nextPayment": {
"date": "2021-02-28",
"currency": "GBP",
"amount": 1.01
},
"finalPayment": {
"date": "2021-05-28"
},
"schedule": {
"frequency": "IntrvlMnthDay:01:-01"
},
"recipientAccount": {
"schemeName": "1SortCodeAccountNumber1",
"identification": "1123456123456781",
"name": "south district"
},
"reference": "1ugg51o6680xtdtb3rt1",
"status": "ACTIVE"
},
{
"standingOrderId": "1stord5r5d5aw4NUK2",
"firstPayment": {
"date": "2021-03-12",
"currency": "GBP",
"amount": 1.02
},
"nextPayment": {
"date": "2021-03-12",
"currency": "GBP",
"amount": 1.02
},
"schedule": {
"frequency": "IntrvlMnthDay:01:01"
},
"recipientAccount": {
"schemeName": "1SortCodeAccountNumber2",
"identification": "1135246555533332",
"name": "John Doe"
},
"reference": "16r8b1ne3demqfb3pbj2",
"status": "INACTIVE"
},
{
"standingOrderId": "1stord5r5d5aw4MUK3",
"firstPayment": {
"date": "2021-01-15",
"currency": "GBP",
"amount": 1.03
},
"nextPayment": {
"currency": "GBP",
"amount": 1.03
},
"finalPayment": {
"currency": "GBP",
"amount": 1.03
},
"schedule": {
"frequency": "EvryDay"
},
"recipientAccount": {
"schemeName": "1SortCodeAccountNumber3",
"identification": "1373943222266663"
},
"reference": "1ypyf20yhp5r5htvhit3"
},
{
"standingOrderId": "1stord5r5d5aw4CUK4",
"firstPayment": {
"date": "2021-04-09",
"currency": "GBP",
"amount": 1.04
},
"nextPayment": {
"currency": "GBP",
"amount": 1.04
},
"schedule": {
"frequency": "IntrvlDay:15"
},
"recipientAccount": {
"schemeName": "1SortCodeAccountNumber4",
"identification": "1396243853224324"
},
"reference": "1r8ppu0p3na7vbkm3nh4"
},
{
"standingOrderId": "1stord5r5d5aw4SUK5",
"firstPayment": {
"date": "2021-12-01",
"currency": "GBP",
"amount": 1.05
},
"nextPayment": {
"date": "2021-12-01",
"currency": "GBP",
"amount": 1.05
},
"schedule": {
"frequency": "IntrvlMnthDay:06:15"
},
"recipientAccount": {
"schemeName": "1SortCodeAccountNumber5",
"identification": "1934573659825155"
},
"reference": "16ib5xro5fhq3a4qbao5"
}
],
"offset": "5c318d7b-4f17-4998-a54a-a6efeb67d10c"
}
```

##### Step 1 {#step-1}

To get the transaction details, submit the following request using the `aspspId`, `consentId`, `accountId` and transactionId parameters for ASPSP id you selected above from the data set.

|    **Field name**    |                                                                                                                          **Value**                                                                                                                           |
|----------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `aspspId`            | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5**                                                                                                                                                                                                                     |
| `aspsp name`         | Fermium Bank                                                                                                                                                                                                                                                 |
| `API Profile`        | NextGenPSD2                                                                                                                                                                                                                                                  |
| `country`            | NL                                                                                                                                                                                                                                                           |
| `services`           | AIS, PIS                                                                                                                                                                                                                                                     |
| `permission`         | allPSD2                                                                                                                                                                                                                                                      |
| `authorization`      | NLaccountR666r433g5fggfdN34ff4grfdr2oNL001                                                                                                                                                                                                                   |
| `consentId`          | **g63g4fh:5t543f34r6g**                                                                                                                                                                                                                                      |
| `consent Request Id` | 23150                                                                                                                                                                                                                                                        |
| `resourceId`         | **aa:q644444444dhhfHhTV** ; **aa:q643333344dhhfHhTV**                                                                                                                                                                                                        |
| `transactionId`      | **3DHKwjmZyXBwSD0IMVBh001; 1CxLxzOfY35NDcPIQqO3002; 28stAbHfxWRDRKf0JgbI003; 1UopXIptZTZYI9k6AHa1004; R8CXyvJBB3jdLHdTyVAs005; Zu7bY96FEN4jFNIhZSgL006; YxeVLGbdJ4kc15a4gQeL007; 6QliQ6H8OBIYm9P3q2MK008; L8gbjJavwS4gzUF1P1Vd009; 7Mp7D6ThvlMhy9WXjmro010** |

An example is shown below.

##### Request {#request}

`POST /accounts/account/transactions/transaction`

##### Request body parameters {#request-body-parameters}

```json
{
  "requestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000",
    "consentId": "g63g4fh:5t543f34r6g",
    "aspspId": "6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5",
    "isLivePsuRequest": true
  },
  "accountId": "aa:q644444444dhhfHhTV",
  "transactionId": "3DHKwjmZyXBwSD0IMVBh001"
}
```

Note: The `consentId`, `aspspId`, `accountId` and `transactionId` parameter values should be provided unchanged in order to match the pre-defined response.

#### Step 2 {#step-2}

The following response will be received where the transaction details can be viewed.

##### Response - success {#response---success}

HTTP response code `200,OK`

##### Response body {#response-body}

```json
{
  "originalRequestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000"
  },
  "transactionId": "3DHKwjmZyXBwSD0IMVBh001",
  "bookingDateTime": "2019-10-05T09:10:12.892Z",
  "transactionAmount": {
    "currency": "EUR",
    "amount": 228.11
  },
  "remittanceInformationUnstructured": "Remittance Information Txn 1",
  "status": "ACSC",
  "creditDebitIndicator": "DEBIT",
  "senderAccountNumber":"NL71INGB7451446883",
  "recipientAccountNumber":"NL45RABO3104179859",
  "senderName":"Sender Name 1",
  "recipientName":"Recipient Name 1",
  "senderAccountNumberScheme": "IBAN",
  "recipientAccountNumberScheme": "IBAN"}
```

Note: The response returns bankTransactionCode for the following ASPSPs.

`domain` is object populated for the following ASPSPs

|  **ASPSP Name**  |               **ASPSP ID**               |   **API**   | **Country** |
|------------------|------------------------------------------|-------------|-------------|
| Adonis           | **cc42a197-1aa1-4506-99e9-5e2352ace7df** | CMA9        | GB          |
| CeriumBank       | **159bf510-87b4-4af8-b5b8-29b4066738da** | NextGenPSD2 | HU          |
| Livermorium Bank | **aefa280d-0706-4be3-87c8-c7d8922ad754** | STET        | LU          |
| Tennessine Bank  | **addad4bc-9e07-417c-a2a8-68c6da1613c6** | STET        | BE          |

`proprietary` is object populated for the following ASPSPs

| **ASPSP Name** |               **ASPSP ID**               |   **API**   | **Country** |
|----------------|------------------------------------------|-------------|-------------|
| Athena Bank    | **d90d3bee-1ba4-48f3-b528-ff58a9390792** | CMA9        | GB          |
| Cadmium Bank   | **053435ec-8910-11eb-8dcd-0242ac130003** | NextGenPSD2 | BE          |

Note: The response returns originalTransactionId for the following ASPSPs.

|  **ASPSP Name**  |               **ASPSP ID**               |   **API**   | **Country** |
|------------------|------------------------------------------|-------------|-------------|
| Sandbox ASPSP 1  | **420e5cff-0e2a-4156-991a-f6eeef0478cf** | CMA9        | GB          |
| Sandbox ASPSP 2  | **b806ae68-a45b-49d6-b25a-69fdb81dede6** | Polish API  | PL          |
| Sandbox ASPSP 3  | **6bc896b5-1b5a-473a-a1d8-dfd3cbb4fab5** | NextGenPSD2 | NL          |
| Sandbox ASPSP 4  | **08475b1c-5f59-48f7-8c62-dcfd8928dad2** | STET        | IT          |
| Adonis Bank      | **cc42a197-1aa1-4506-99e9-5e2352ace7df** | CMA9        | GB          |
| Fermium Bank     | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5** | NextGenPSD2 | NL          |
| Tungsten Ban     | **e374d446-c114-4666-bbce-5dcad57c42c5** | NextGenPSD2 | SE          |
| Lanthanum Bank   | **3d068415-1edc-4c67-93ed-13ddfaeb200a** | NextGenPSD2 | LU          |
| Hassium Bank     | **73d25ee0-ea7b-4508-88ca-4221f557304b** | NextGenPSD2 | FI          |
| Bohrium Bank     | **5acf936a-2a19-4db3-b2b2-1fc2c7ab7765** | NextGenPSD2 | LV          |
| Dubnium Bank     | **7b01aea9-8901-4068-804c-0cd47ac932dd** | NextGenPSD2 | LT          |
| Seaborgium Bank  | **71b1ac6e-51a1-4674-be61-0a766941728a** | NextGenPSD2 | EE          |
| Nihonium Bank    | **7dbf29c1-0b94-4bac-b3fc-1441781572d5** | NextGenPSD2 | CZ          |
| Oganesson Bank   | **9bab67cd-8efe-4ddd-a9bc-e701b48397ce** | STET        | ES          |
| Tennessine Bank  | **addad4bc-9e07-417c-a2a8-68c6da1613c6** | STET        | BE          |
| Livermorium Bank | **aefa280d-0706-4be3-87c8-c7d8922ad754** | STET        | LU          |
| Polonium Bank    | **4888fdfa-0f32-4a1f-b55e-5870454bccc1** | Polish API  | PL          |
| Flerovium Bank   | **8c66b424-665a-4a03-842a-1b068bac1dc7** | NextGenPSD2 | DK          |
| Cadmium Bank     | **053435ec-8910-11eb-8dcd-0242ac130003** | NextGenPSD2 | BE          |
| Tellurium Bank   | **1701f9c4-8921-11eb-8dcd-0242ac130003** | NextGenPSD2 | LU          |

##### Step 1 {#step-1}

To cancel the token associated with an existent consent, so that the account information cannot be accessed afterwards, submit the following request using the `aspspId` and `consentId` parameters for ASPSP id you selected above from the data set.

|    **Field name**    |                                                                                                                        **Value**                                                                                                                         |
|----------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `aspspId`            | **6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5**                                                                                                                                                                                                                 |
| `aspsp name`         | Fermium Bank                                                                                                                                                                                                                                             |
| `API Profile`        | NextGenPSD2                                                                                                                                                                                                                                              |
| `country`            | NL                                                                                                                                                                                                                                                       |
| `services`           | AIS, PIS                                                                                                                                                                                                                                                 |
| `permission`         | allPSD2                                                                                                                                                                                                                                                  |
| `authorization`      | NLaccountR666r433g5fggfdN34ff4grfdr2oNL001                                                                                                                                                                                                               |
| `consentId`          | **g63g4fh:5t543f34r6g**                                                                                                                                                                                                                                  |
| `consent Request Id` | 23150                                                                                                                                                                                                                                                    |
| `resourceId`         | aa:q644444444dhhfHhTV; aa:q643333344dhhfHhTV                                                                                                                                                                                                             |
| `transactionId`      | 3DHKwjmZyXBwSD0IMVBh001; 1CxLxzOfY35NDcPIQqO3002; 28stAbHfxWRDRKf0JgbI003; 1UopXIptZTZYI9k6AHa1004; R8CXyvJBB3jdLHdTyVAs005; Zu7bY96FEN4jFNIhZSgL006; YxeVLGbdJ4kc15a4gQeL007; 6QliQ6H8OBIYm9P3q2MK008; L8gbjJavwS4gzUF1P1Vd009; 7Mp7D6ThvlMhy9WXjmro010 |

An example is shown below.

##### Request {#request}

`POST /accounts/consents/delete`

##### Request body parameters {#request-body-parameters}

```json
{
  "requestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000",
    "aspspId": "6bc896b5-1b5a-473a-a1d8-dfd3aaa4fab5"
  },
  "consentId": "g63g4fh:5t543f34r6g"
}
```

Note: The `aspspId` and `consentId` parameter values should be provided unchanged in order to match the pre-defined response.

#### Step 2 {#step-2}

The following response will be received.

##### Response - success {#response---success}

HTTP response code `200,OK`

##### Response body {#response-body}

```json
{
  "originalRequestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000"
  }
}
```

##### Step 1 {#step-1}

To get raw consent, submit the following request using the `aspspId` and `consentId` parameters for ASPSP id with CMA9 profile from the data set.

|    **Field name**    |                                                       **Value**                                                        |
|----------------------|------------------------------------------------------------------------------------------------------------------------|
| `aspspId`            | **420e5cff-0e2a-4156-991a-f6eeef0478cf**                                                                               |
| `aspsp name`         | Sandbox ASPSP 1                                                                                                        |
| `API Profile`        | CMA9                                                                                                                   |
| `country`            | UK                                                                                                                     |
| `services`           | AIS, PIS                                                                                                               |
| `permission`         | allPSD2                                                                                                                |
| `authorization`      | UKaccountEsbGdTB2a9MbSdt53serRsv0aUK001                                                                                |
| `consentId`          | **GFiTpF3:EBy5xGqQMatk**                                                                                               |
| `consent Request Id` | 12345                                                                                                                  |
| `resourceId`         | aa:q648383844dhhfHhTV aFR41134ds844a:45dfF43 7y56s5:22Aa:6asdhTVC                                                      |
| `transactionId`      | 1ccs6s5:r55a:4MctP; 2ccs6s5:r55a:4MctP; 3ccs6s5:r55a:4MctP; 4ccs6s5:r55a:4MctP; 5ccs6s5:r55a:4MctP; 6ccs6s5:r55a:4MctP |

An example is shown below.

##### Request {#request}

`POST /accounts/consents/raw`

##### Request body parameters {#request-body-parameters}

```json
{
"requestInfo": {
	"aspspId": "420e5cff-0e2a-4156-991a-f6eeef0478cf",
	"consentId": "GFiTpF3:EBy5xGqQMatk",
	"xRequestId": "123e4567-e89b-12d3-a456-426655440000"
	}
}
```

Note: The `aspspId` and `consentId` parameter values should be provided unchanged in order to match the pre-defined response.

#### Step 2 {#step-2}

The following response will be received.

##### Response - success {#response---success}

HTTP response code `200,OK`

##### Response body {#response-body}

```json
{
  "originalRequestInfo": {
    "xRequestId": "123e4567-e89b-12d3-a456-426655440000"
  },
  "rawConsent": "ewogIHNjb3BlOiBhY2NvdW50cywKICB0b2tlbl90eXBlOiBCZWFyZXIsCiAgYWNjZXNzX3Rva2VuOiBXMzRpVFhlVFZVZGtpRFpvVDlXVFVUMFE1eW5Hdk1uc3NXbUZ5bmMwVGlzY0ZlbEpiTWM0WmhTaXBHalRtNUd3dzVGSWs2TVVqeE9VeVV3TVp3UU1pSXlMMDNBZmpiU2RHekdWNGlpVHlpNmkwa3pkT05HMk1DaXd4WVVTYjNRaWt5OTRNT1dJc05SVG1GT0pYYnVjNU5paWkyMDAyWTJwVnk0VzVPajVKY1pZVzJSWVVNMjJZaU4ya1pZSlpVdGx0amJjM1hKV0FJbHZPV2lsSmJJbFljYko5TXRXT0lGMkFCWlZDalZjMFVJbiwKICByZWZyZXNoX3Rva2VuOiBDTzM0V01tV0c1TWl2V1NVWjAzT2M1cGVGYzVKbk1VVHdsTWlDYVlaYkc1azlGeUFRNElCOVdVWUxrYk9HU2N5VjB0VGMyMzNzazJ3MmZzNHlaWVpKMm5zd21pdHhpemNWaU1Oak5ZNkpqQXZSVVVKeTZieU9zSjBsSXVoVEcyV2RNaURsZGlWWjJrMFhaU2p3STR5TlZsVVdpalJqRlFPOXQ1TUl6eWNpNG41YnBZMlRKajAyRmJNTVhVWDNJYmlObVRZWW53VFdPR21PVFRJYmlHZWlvUXhqWldWSWMwMmlXQVVraUpDT2xjaSwKICBleHBpcmVzX2luOiAzNjAwCn0K"
}
```

